Loading...
Searching...
No Matches
residreductioncriterion.hh File Reference

Provides a convergence criterion which looks at the reduction of the two-norm of the residual for the linear solvers. More...

`#include "convergencecriterion.hh"`
`#include <dune/istl/scalarproducts.hh>`

Go to the source code of this file.

## Classes

class | Opm::Linear::ResidReductionCriterion< Vector >
| Provides a convergence criterion which looks at the reduction of the two-norm of the residual for the linear solvers. More...

## Namespaces

namespace | Opm
| This file contains a set of helper functions used by VFPProd / VFPInj.

## Detailed Description

Provides a convergence criterion which looks at the reduction of the two-norm of the residual for the linear solvers.

For the ResidReductionCriterion, the error of the solution is defined as